@echo off 

set /p INPUT=What interaction do you want to perform (1=Update / 2=Enable Debug Logging / 3=Disable Debug Logging):
If /I %INPUT% EQU 1 goto update
If /I %INPUT% EQU 2 goto enable_log
If /I %INPUT% EQU 3 goto disable_log
goto end

:update
sftp -b batchfile -o LogLevel=ERROR -o ConnectTimeout=2 -o "UserKnownHostsFile=/dev/null" -o StrictHostKeyChecking=no mt@192.168.7.1 
echo The update can take several minutes. Please do NOT power down the device as long as the LED 'R' is blinking. The device will reboot after the update is finished.
goto end
:enable_log
sftp -b batchfile_log -o LogLevel=ERROR -o ConnectTimeout=2 -o "UserKnownHostsFile=/dev/null" -o StrictHostKeyChecking=no mt@192.168.7.1 
goto end
:disable_log
sftp -b batchfile_nolog -o LogLevel=ERROR -o ConnectTimeout=2 -o "UserKnownHostsFile=/dev/null" -o StrictHostKeyChecking=no mt@192.168.7.1 
:end
PAUSE

